/*
 *  linux/arch/mips/mips3/showregs.c
 *
 *  Copyright (C) 1995, 1996 Ralf Baechle
 */
#include <linux/kernel.h>
#include <linux/ptrace.h>

void show_regs(struct pt_regs * regs)
{
	/*
	 * Saved main processor registers
	 */
	printk("$0 : %016Lx %016Lx %016Lx %016Lx\n",
	       0ULL, regs->reg1, regs->reg2, regs->reg3);
	printk("$4 : %016Lx %016Lx %016Lx %016Lx\n",
               regs->reg4, regs->reg5, regs->reg6, regs->reg7);
	printk("$8 : %016Lx %016Lx %016Lx %016Lx\n",
	       regs->reg8, regs->reg9, regs->reg10, regs->reg11);
	printk("$12: %016Lx %016Lx %016Lx %016Lx\n",
               regs->reg12, regs->reg13, regs->reg14, regs->reg15);
	printk("$16: %016Lx %016Lx %016Lx %016Lx\n",
	       regs->reg16, regs->reg17, regs->reg18, regs->reg19);
	printk("$20: %016Lx %016Lx %016Lx %016Lx\n",
               regs->reg20, regs->reg21, regs->reg22, regs->reg23);
	printk("$24: %016Lx %016Lx\n",
	       regs->reg24, regs->reg25);
	printk("$28: %016Lx %016Lx %016Lx %016Lx\n",
	       regs->reg28, regs->reg29, regs->reg30, regs->reg31);

	/*
	 * Saved cp0 registers
	 */
	printk("epc   : %016Lx\nStatus: %08x\nCause : %08x\n",
	       regs->cp0_epc, regs->cp0_status, regs->cp0_cause);
}
